Loading...
Searching...
No Matches
ap.h File Reference
`#include <stdlib.h>`
`#include <math.h>`

Go to the source code of this file.

## Data Structures

class | ap::ap_error
class | ap::complex
class | ap::const_raw_vector< T >
class | ap::raw_vector< T >
class | ap::template_1d_array< T >
class | ap::template_2d_array< T >

## Namespaces

namespace | ap

## Macros

#define | AP_ASSERT

## Typedefs

typedef template_1d_array< int > | ap::integer_1d_array
typedef template_1d_array< double > | ap::real_1d_array
typedef template_1d_array< complex > | ap::complex_1d_array
typedef template_1d_array< bool > | ap::boolean_1d_array
typedef template_2d_array< int > | ap::integer_2d_array
typedef template_2d_array< double > | ap::real_2d_array
typedef template_2d_array< complex > | ap::complex_2d_array
typedef template_2d_array< bool > | ap::boolean_2d_array

## Functions

const complex | ap::operator/ (const complex &lhs, const complex &rhs)
const bool | ap::operator== (const complex &lhs, const complex &rhs)
const bool | ap::operator!= (const complex &lhs, const complex &rhs)
const complex | ap::operator+ (const complex &lhs)
const complex | ap::operator- (const complex &lhs)
const complex | ap::operator+ (const complex &lhs, const complex &rhs)
const complex | ap::operator+ (const complex &lhs, const double &rhs)
const complex | ap::operator+ (const double &lhs, const complex &rhs)
const complex | ap::operator- (const complex &lhs, const complex &rhs)
const complex | ap::operator- (const complex &lhs, const double &rhs)
const complex | ap::operator- (const double &lhs, const complex &rhs)
const complex | ap::operator* (const complex &lhs, const complex &rhs)
const complex | ap::operator* (const complex &lhs, const double &rhs)
const complex | ap::operator* (const double &lhs, const complex &rhs)
const complex | ap::operator/ (const double &lhs, const complex &rhs)
const complex | ap::operator/ (const complex &lhs, const double &rhs)
const double | ap::abscomplex (const complex &z)
const complex | ap::conj (const complex &z)
const complex | ap::csqr (const complex &z)
template<class T>
T | ap::vdotproduct (const_raw_vector< T > v1, const_raw_vector< T > v2)
template<class T>
void | ap::vmove (raw_vector< T > vdst, const_raw_vector< T > vsrc)
template<class T>
void | ap::vmoveneg (raw_vector< T > vdst, const_raw_vector< T > vsrc)
template<class T, class T2>
void | ap::vmove (raw_vector< T > vdst, const_raw_vector< T > vsrc, T2 alpha)
template<class T>
void | ap::vadd (raw_vector< T > vdst, const_raw_vector< T > vsrc)
template<class T, class T2>
void | ap::vadd (raw_vector< T > vdst, const_raw_vector< T > vsrc, T2 alpha)
template<class T>
void | ap::vsub (raw_vector< T > vdst, const_raw_vector< T > vsrc)
template<class T, class T2>
void | ap::vsub (raw_vector< T > vdst, const_raw_vector< T > vsrc, T2 alpha)
template<class T, class T2>
void | ap::vmul (raw_vector< T > vdst, T2 alpha)
int | ap::sign (double x)
double | ap::randomreal ()
int | ap::randominteger (int maxv)
int | ap::round (double x)
int | ap::trunc (double x)
int | ap::ifloor (double x)
int | ap::iceil (double x)
double | ap::pi ()
double | ap::sqr (double x)
int | ap::maxint (int m1, int m2)
int | ap::minint (int m1, int m2)
double | ap::maxreal (double m1, double m2)
double | ap::minreal (double m1, double m2)

## Variables

const double | ap::machineepsilon = 5E-16
const double | ap::maxrealnumber = 1E300
const double | ap::minrealnumber = 1E-300

## Macro Definition Documentation

## AP_ASSERT

#define AP_ASSERT

Definition at line 16 of file ap.h.